import { HttpClient, HttpParams, HttpHeaders } from '@angular/common/http';
import { ApiVisa } from '../shared/api-visa.model';
import { Observable } from 'rxjs';
import { ApiResponseModel } from '../shared/api-response.model';
import { MyEInvoiceToIrbContainerContainerModel } from '../../../../../models/aggregates/e-invoice/my-einvoice-to-irb-hdr-container.model';
import { BaseApiPublicLoginTemplateService } from '../shared/base-api-public-login-template.service';
export declare class MyEInvoiceToIRBHdrLinesService extends BaseApiPublicLoginTemplateService<MyEInvoiceToIrbContainerContainerModel, MyEInvoiceToIrbContainerContainerModel, MyEInvoiceToIrbContainerContainerModel> {
    readonly url: string;
    constructor(http: HttpClient);
    submitToLHDN(dtoObject: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    printJasperPdf(guid: string, visa: ApiVisa): Observable<Blob>;
    printJasperPdfCompanyPrintableFormt(guid: string, visa: ApiVisa): Observable<Blob>;
    printJasperPdfV2(guid: string, visa: ApiVisa): Observable<{
        blob: Blob;
        filename?: string;
    }>;
    getHttpHeaderBlobV2(apiVisa: ApiVisa, params?: HttpParams): {
        headers: HttpHeaders;
        params: HttpParams;
        responseType: "blob";
        observe: "response";
    };
    saveAndResubmit(dtoObject: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    resubmitAsNewEinvoice(dtoObject: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    refreshToIrbToUpdateDocumentStatus(dtoObject: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    resendEmail(dtoObject: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
}
